## approx 4.5

=== Makefile ===
# approx: proxy server for Debian archive files
# Copyright (C) 2009  Eric C. Cooper <ecc@cmu.edu>
# Released under the GNU General Public License

OCAMLBUILD := ocamlbuild
OCAMLBUILD_OPTS := -classic-display

TARGET := native

ifeq ($(TARGET),byte)
    OCAMLBUILD_OPTS += -byte-plugin
endif

programs = approx approx-gc approx-update approx-import

all: $(programs)

approx:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) approx.$(TARGET)
	cp -p _build/approx.$(TARGET) $@

approx-%:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) $(@:approx-%=%).$(TARGET)
	cp -pv _build/$(@:approx-%=%).$(TARGET) $@

$(programs): $(wildcard *.ml*)

clean:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) -clean
	rm -f $(programs)

.PHONY: tests

tests: $(subst .ml,,$(wildcard tests/*.ml))

%_test:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) $@.$(TARGET)

version := $(shell sed -n 's/^let version = "\(.*\)"$$/\1/p' config.ml)
tarball := approx_$(version).orig.tar.gz
package := approx-$(version)
excludes := $(tarball) .git _build "*~" "\#*"

tarball:
	touch $(tarball)
	tar -czf $(tarball) $(excludes:%=--exclude=%) \
	    --transform "s:^\.$$:$(package):;s:^\./:$(package)/:" .

=== debian/changelog ===
approx (4.5-1+squeeze1) stable; urgency=low

  * Deny requests for InRelease files, forcing clients to fall back to
    Release and Release.gpg files.
  * Deny requests for all non-gzipped index files, not just bz2 versions.

 -- Eric Cooper <ecc@cmu.edu>  Tue, 10 May 2011 17:43:30 -0400

approx (4.5-1) unstable; urgency=low

  * New upstream version
  * The inetd.conf entry created by the postinst script requires an
    additional argv[0] after the approx pathname.  This problem went
    unnoticed with openbsd-inetd, but inetutils-inetd would exec the program
    with an empty argv[] (closes: #589937)
  * Compress files with the same gzip parameters that dak uses,
    so pdiff application can succeed (closes: #593428)
  * Update Standards-Version to 3.9.1

 -- Eric Cooper <ecc@cmu.edu>  Wed, 18 Aug 2010 09:10:40 -0400

approx (4.4-1) unstable; urgency=low

  * New upstream version
  * Provide directory index for cache (closes: #577969)
  * Redirect requests for top levels of remote repositories
  * Handle Not_found exception from find_directory (closes: #573039)
  * Support multiple config files and alternate cache location
    (closes: #519497, #580663)
  * Support for HEAD requests (closes: #524984)
  * Detect cycles when traversing directory trees (closes: #582294)
  * Update Standards-Version to 3.9.0

 -- Eric Cooper <ecc@cmu.edu>  Tue, 13 Jul 2010 17:49:35 -0400

=== debian/control ===
Source: approx
Section: admin
Priority: optional
Maintainer: Eric Cooper <ecc@cmu.edu>
Uploaders: Sylvain Le Gall <gildor@debian.org>, Ralf Treinen <treinen@debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0),
 dh-ocaml,
 cdbs,
 libnethttpd-ocaml-dev,
 libpcre-ocaml-dev,
 libsha-ocaml-dev,
 libsyslog-ocaml-dev,
 ocaml-nox
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git

Package: approx
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 bzip2,
 curl,
 openbsd-inetd | inet-superserver,
 update-inetd
Suggests: libconfig-model-approx-perl
Description: caching proxy server for Debian archive files
 Approx is an HTTP-based proxy server for Debian-style package archives.
 It fetches files from remote repositories on demand,
 and caches them for local use.
 .
 Approx saves time and network bandwidth if you need to install or
 upgrade .deb packages for a number of machines on a local network.
 Each package is downloaded from a remote site only once,
 regardless of how many local clients install it.
 The approx cache typically requires a few gigabytes of disk space.
 .
 Approx also simplifies the administration of client machines:
 repository locations need only be changed in approx's configuration file,
 not in every client's /etc/apt/sources.list file.
 .
 Approx can be used as a replacement for apt-proxy,
 with no need to modify clients' /etc/apt/sources.list files,
 or as an alternative to apt-cacher.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/class/makefile.mk

ifeq ($(OCAML_HAVE_OCAMLOPT),no)
    DEB_MAKE_BUILD_TARGET = TARGET=byte
endif

## approx 5.0

=== debian/changelog ===
approx (5.0-1) unstable; urgency=low

  * New upstream version
  * Deny requests for non-gz index files (closes: #625457)
  * Cache pdiffs instead of removing them (closes: #607896)
  * Remove approx-update program
  * Add $interval configuration parameter
  * Cache Release files and "file not found" responses
    for $interval minutes without contacting remote repository
    (closes: #625458)
  * Treat i18n/Index files as roots for garbage collection
  * Run approx-gc cronjob at low priority (closes: #611370)
  * Include process ID in syslog messages
  * Defer pdiff application to the end of each connection

 -- Eric Cooper <ecc@cmu.edu>  Tue, 10 May 2011 16:11:00 -0400

approx (4.6-1) unstable; urgency=low

  * New upstream version
  * Support InRelease files (release files with inline signatures)
  * Add Danish debconf translation (closes: #596464)
  * Add FAQ entry about changing cache location (closes: #597949)
  * Improve redirect handling (closes: #611975)
  * Use dh instead of cdbs
  * Update Standards-Version to 3.9.2

 -- Eric Cooper <ecc@cmu.edu>  Thu, 28 Apr 2011 14:22:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders: Sylvain Le Gall <gildor@debian.org>, Ralf Treinen <treinen@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 7.0),
+ debhelper (>= 8.0),
  dh-ocaml,
- cdbs,
  libnethttpd-ocaml-dev,
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
  libsyslog-ocaml-dev,
  ocaml-nox
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
@@ -25,7 +24,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
  adduser,
- bzip2,
  curl,
  openbsd-inetd | inet-superserver,
  update-inetd

## approx 5.1

=== debian/changelog ===
approx (5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "should depend on system-log-daemon":
    add dependency on "rsyslog | system-log-daemon".
    (Closes: #656791)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Mar 2012 18:04:42 +0200

approx (5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with ocamlnet 3.5.1 (Closes: #661775)
  * Add versioned dependency to libnethttpd-ocaml-dev in Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Mar 2012 07:54:57 +0100

approx (5.1-1) unstable; urgency=low

  * New upstream version
  * Build with ocamlnet3 (closes: #610597, #635886)
  * Remove unnecessary check_current_directory function (closes: #632670)
  * Document default port number and how to change it (closes: #633811)
  * Serve simple robots.txt file (closes: #626721)

 -- Eric Cooper <ecc@cmu.edu>  Sun, 31 Jul 2011 18:30:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper (>= 8.0),
  dh-ocaml,
- libnethttpd-ocaml-dev,
+ libnethttpd-ocaml-dev (>= 3),
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
  libsyslog-ocaml-dev,
@@ -26,7 +26,8 @@
  adduser,
  curl,
  openbsd-inetd | inet-superserver,
- update-inetd
+ update-inetd,
+ rsyslog | system-log-daemon
 Suggests: libconfig-model-approx-perl
 Description: caching proxy server for Debian archive files
  Approx is an HTTP-based proxy server for Debian-style package archives.

## approx 5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # approx: proxy server for Debian archive files
-# Copyright (C) 2009  Eric C. Cooper <ecc@cmu.edu>
+# Copyright (C) 2011  Eric C. Cooper <ecc@cmu.edu>
 # Released under the GNU General Public License
 
 OCAMLBUILD := ocamlbuild
@@ -11,7 +11,7 @@
     OCAMLBUILD_OPTS += -byte-plugin
 endif
 
-programs = approx approx-gc approx-update approx-import
+programs = approx approx-gc approx-import
 
 all: $(programs)

=== debian/changelog ===
approx (5.3-1) unstable; urgency=low

  * New upstream version
  * Check for chunked transfer encoding when closing cache file
    (closes: #685724)

 -- Eric Cooper <ecc@cmu.edu>  Fri, 24 Aug 2012 14:56:45 -0400

approx (5.2-1) unstable; urgency=low

  [ Eric Cooper ]
  * New upstream version
  * Check for custom inetd.conf entry when updating (closes: #627053)
  * Handle Sources files with missing Directory fields (closes: #641928)
  * Change default $interval to 60 (closes: #658694)
  * Applied "Fix FTBFS with ocamlnet 3.5.1" upstream
  * Add debian/watch file
  * Update Standards-Version to 3.9.3

  [ Adriano Rafael Gomes ]
  * add Brazilian Portuguese debconf translation (closes: #661359)

  [ Jeroen Schot ]
  * add Dutch debconf translation (closes: #661438)

  [ Andika Triwidada ]
  * add Indonesian debconf translation (closes: #670916)

  [ Michał Kułach ]
  * add Polish debconf translation (closes: #671346)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 23 May 2012 15:52:32 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsha-ocaml-dev,
  libsyslog-ocaml-dev,
  ocaml-nox
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git

## approx 5.4

=== Makefile ===
# approx: proxy server for Debian archive files
# Copyright (C) 2013  Eric C. Cooper <ecc@cmu.edu>
# Released under the GNU General Public License

OCAMLBUILD := ocamlbuild
OCAMLBUILD_OPTS := -classic-display

TARGET := native

ifeq ($(TARGET),byte)
    OCAMLBUILD_OPTS += -byte-plugin
endif

programs = approx approx-gc approx-import

all: $(programs)

approx:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) approx.$(TARGET)
	cp -p _build/approx.$(TARGET) $@

approx-gc:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) gc_cache.$(TARGET)
	cp -pv _build/gc_cache.$(TARGET) $@

approx-import:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) import.$(TARGET)
	cp -pv _build/import.$(TARGET) $@

$(programs): $(wildcard *.ml*)

clean:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) -clean
	rm -f $(programs)

.PHONY: tests

tests: $(subst .ml,,$(wildcard tests/*.ml))

%_test:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) $@.$(TARGET)

version := $(shell sed -n 's/^let version = "\(.*\)"$$/\1/p' config.ml)
package := approx-$(version)
tarball := $(package).tar.gz

tarball:
	git archive -o $(tarball) --prefix $(package)/ HEAD

=== debian/changelog ===
approx (5.4-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:01:39 +0000

approx (5.4-2) unstable; urgency=low

  * patch doc/FAQ to avoid FHS violation (closes: #732021)
  * drop dm-upload-allowed (again)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 12 Dec 2013 14:18:40 -0500

approx (5.4-1) unstable; urgency=low

  * New upstream version
  * follow redirects for HEAD requests (closes: #695279)
  * eliminate Not_found exception in gc (closes: #695639)
  * increase debhelper compat to 9
  * update standards-version, drop dm-update-allowed
  * change from gz to bz2 (closes: #639540, #689444, #705890)
  * replace deprecated (or) with (||) (closes: #731703)
  * add example xinetd config (closes: #720359)
  * add systemd service file (closes: #679991)
  * document use of /var/cache/approx/.curlrc file (closes: #719912)
  * drop build-dependency on libsyslog-ocaml-dev (provided by ocamlnet now)
  * add depends on bzip2 and xz-utils

 -- Eric Cooper <ecc@cmu.edu>  Sun, 08 Dec 2013 21:13:30 -0500

approx (5.3-1.1) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Remove Sylvain Le Gall from uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 21 Sep 2012 00:58:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Eric Cooper <ecc@cmu.edu>
-Uploaders: Sylvain Le Gall <gildor@debian.org>, Ralf Treinen <treinen@debian.org>
-DM-Upload-Allowed: yes
+Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 8.0),
+ debhelper (>= 9.0),
  dh-ocaml,
  libnethttpd-ocaml-dev (>= 3),
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
- libsyslog-ocaml-dev,
  ocaml-nox
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
@@ -24,10 +22,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
  adduser,
+ bzip2,
  curl,
  openbsd-inetd | inet-superserver,
  update-inetd,
- rsyslog | system-log-daemon
+ rsyslog | system-log-daemon,
+ xz-utils
 Suggests: libconfig-model-approx-perl
 Description: caching proxy server for Debian archive files
  Approx is an HTTP-based proxy server for Debian-style package archives.

=== debian/watch ===
version=3

opts=downloadurlmangle=s/(.)a=shortlog/$1sf=tgz$1a=snapshot/;s/heads/tags/,\
filenamemangle=s/.*upstream.([\d\.]+)$/approx-$1.tar.gz/ \
  http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/approx.git;a=shortlog;h=refs/heads/upstream  ^.*/upstream/([\d\.]+)

## approx 5.5

=== debian/changelog ===
approx (5.5-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:02:57 -0600

approx (5.5-2) unstable; urgency=medium

  * handle String.create deprecation warning during transition to OCaml 4.02

 -- Eric Cooper <ecc@cmu.edu>  Sat, 20 Jun 2015 12:40:26 -0400

approx (5.5-1) unstable; urgency=medium

  * New upstream version
  * Only cache "not found" for true 404 responses (closes: #655986)
  * Incorporate patch for #732021 into upstream branch
  * Update Standards-Version to 3.9.5

 -- Eric Cooper <ecc@cmu.edu>  Sat, 21 Jun 2014 17:41:30 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
  ocaml-nox
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml

ifeq ($(wildcard /usr/bin/ocamlopt),)
override_dh_auto_build:
	$(MAKE) TARGET=byte
endif

## approx 5.7

=== debian/changelog ===
approx (5.7-3) unstable; urgency=medium

  * use dh support for systemd unit files (closes: #848312)
  * eliminate debconf configuration of port number

 -- Eric Cooper <ecc@cmu.edu>  Sat, 17 Dec 2016 19:16:34 -0500

approx (5.7-2) unstable; urgency=medium

  * remove broken debian/watch file
  * fix build failure for tests on architectures lacking ocamlopt

 -- Eric Cooper <ecc@cmu.edu>  Sun, 04 Dec 2016 13:30:02 -0500

approx (5.7-1) unstable; urgency=medium

  [ Eric Cooper ]
  * New upstream version
  * remove unused code
  * simplify build using findlib
  * use OUnit for tests
  * change String.create to Bytes.create
  * relax check for Invalid_argument exception
  * increment version number
  * depend on OCaml 4.02 for Bytes module
  * add build dependency on OUnit
  * remove approx-gc program (closes: #465473, #632926, #686062, #818731)
  * use find(1) command in weekly cron job
  * update Standards-Version to 3.9.8
  * add dependency on update-inetd

  [ Mark White ]
  * add $curl_path configuration parameter
  * cache unknown file types for $interval

  [ Kai Harries ]
  * remove dependencies on inet-superserver (closes: #784312)

  [ Romain Francoise ]
  * Bug#818633: approx: fails to connect to HTTP/2 servers (closes: #818633)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 16 Nov 2016 18:08:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  debhelper (>= 9.0),
  dh-ocaml,
  libnethttpd-ocaml-dev (>= 3),
+ libounit-ocaml-dev,
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
- ocaml-nox
-Standards-Version: 3.9.5
+ ocaml-nox (>= 4.02)
+Standards-Version: 3.9.8
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
@@ -24,8 +25,6 @@
  adduser,
  bzip2,
  curl,
- openbsd-inetd | inet-superserver,
- update-inetd,
  rsyslog | system-log-daemon,
  xz-utils
 Suggests: libconfig-model-approx-perl

## approx 5.8

=== debian/changelog ===
approx (5.8-1ubuntu2) artful; urgency=medium

  * Fix up ftbfs with ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jul 2017 12:50:18 +0100

approx (5.8-1ubuntu1) artful; urgency=medium

  * Fix ftbfs with ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Jul 2017 16:27:57 +0100

approx (5.8-1) unstable; urgency=medium

  * New upstream version
  * handle HTTP/2 status (closes: #867048)
  * update Standards-Version and Build-Depends for debhelper
  * remove unused approx.config file

 -- Eric Cooper <ecc@cmu.edu>  Tue, 04 Jul 2017 12:55:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: approx
 Section: admin
 Priority: optional
-Maintainer: Eric Cooper <ecc@cmu.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eric Cooper <ecc@cmu.edu>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 9.0),
+ debhelper (>= 10),
  dh-ocaml,
  libnethttpd-ocaml-dev (>= 3),
  libounit-ocaml-dev,
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
  ocaml-nox (>= 4.02)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git

## approx 5.10

=== debian/changelog ===
approx (5.10-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 08:26:46 +0200

approx (5.10-1) unstable; urgency=medium

  * New upstream version
  * revert to ocaml-sha instead of cryptokit

 -- Eric Cooper <ecc@cmu.edu>  Tue, 25 Jul 2017 12:30:00 -0400

approx (5.9-1) unstable; urgency=medium

  * New upstream version
  * use cryptokit for checksum functions
  * add Build-Depends for cryptokit (instead of sha) and ocamlbuild
  * enable all compiler warnings but don't treat them as errors
  * fix all code that caused compiler warnings
  * fix compiler warnings in test code

 -- Eric Cooper <ecc@cmu.edu>  Sat, 22 Jul 2017 15:26:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: approx
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eric Cooper <ecc@cmu.edu>
+Maintainer: Eric Cooper <ecc@cmu.edu>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -11,10 +10,11 @@
  libounit-ocaml-dev,
  libpcre-ocaml-dev,
  libsha-ocaml-dev,
+ ocamlbuild,
  ocaml-nox (>= 4.02)
 Standards-Version: 4.0.0
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/approx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/approx.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/approx
 Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
 
 Package: approx

## approx 5.11

=== debian/changelog ===
approx (5.11-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - incorporate OCaml 4.08.0 patch
    - use Re.Pcre instead of Pcre
  * Set Maintainer to Debian OCaml Maintainers

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Remove constraints unnecessary since buster (oldstable)

  [ Edward Betts ]
  * Update homepage field, git.debian.org no longer exists.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Feb 2023 18:34:19 +0100

## approx 5.12

=== Makefile ===
# approx: proxy server for Debian archive files
# Copyright (C) 2016  Eric C. Cooper <ecc@cmu.edu>
# Released under the GNU General Public License

OCAMLBUILD := ocamlbuild
OCAMLBUILD_OPTS := -classic-display -use-ocamlfind

TARGET := native

programs = approx approx-import

all: $(programs)

approx:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) approx.$(TARGET)
	cp -p _build/approx.$(TARGET) $@

approx-import:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) import.$(TARGET)
	cp -pv _build/import.$(TARGET) $@

$(programs): $(wildcard *.ml*)

clean:
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) -clean
	rm -f $(programs)

test: tests/runtests
	./$(<F).$(TARGET)

tests/runtests::
	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) $@.$(TARGET)

version := $(shell sed -n 's/^let version = "\(.*\)"$$/\1/p' config.ml)
package := approx-$(version)
tarball := $(package).tar.gz

tarball:
	git archive -o $(tarball) --prefix $(package)/ HEAD

=== debian/changelog ===
approx (5.12-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:10:50 +0200

approx (5.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - fix calls to Re.Pcre.extract (Closes: #1031117)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 Feb 2023 13:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: approx
 Section: admin
 Priority: optional
-Maintainer: Eric Cooper <ecc@cmu.edu>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-ocaml,
- libnethttpd-ocaml-dev (>= 3),
+ libnethttpd-ocaml-dev,
  libounit-ocaml-dev,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libsha-ocaml-dev,
  ocamlbuild,
- ocaml-nox (>= 4.02)
-Standards-Version: 4.0.0
+ ocaml
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/approx.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/approx
-Homepage: http://git.debian.org/?p=pkg-ocaml-maint/packages/approx.git
+Homepage: https://salsa.debian.org/ocaml-team/approx
 
 Package: approx
 Architecture: any

## approx 5.13

=== debian/changelog ===
approx (5.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Jul 2024 10:37:12 +0700

approx (5.13-1) unstable; urgency=medium

  * Team upload

  [ Arnaud Rebillout ]
  * gbp.conf: No patch numbers
  * Update d/changelog to add missing entries that closed some bugs
  * Update d/copyright to machine-readable format
  * cron.weekly: Support when the cache dir is a symlink (Closes: #987604)
  * cron.weekly: Silent by default (Closes: #867377, #930327)
  * cron.weekly: Use ctime (status) to pick old files, reduce max_age to 365
  * Patch to fix lowercase and capitalize warnings (Closes: #1073871)
  * Patches to fix config parser with blank lines (Closes: #1031411)
  * Patch to update FAQ regarding changing the cache path
  * Patch for nowadays debian-security
  * Patch to use https in URL
  * Patches for tarballs in dists/ that are NOT immutable
    (Closes: #757945, #810255)
  * Patch to disable burst limit in systemd socket (Closes: #884713)
  * Build-Depends: ocaml >= 4.13
  * Drop dependency on system-log-daemon (Closes: #1072019)

  [ Stéphane Glondu ]
  * Patch to fix flaky fold_test test
  * New upstream release, incorporating all above patches

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Jul 2024 09:50:29 +0200

approx (5.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr/lib/systemd/system.
    (Closes: #1059178)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 01:33:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml --no-parallel

ifeq ($(wildcard /usr/bin/ocamlopt),)
override_dh_auto_build:
	$(MAKE) TARGET=byte

override_dh_auto_test:
	$(MAKE) TARGET=byte test
endif
